//                                               -*- C++ -*-
/**
 *  @brief The external header file of OpenTURNS for subdir Solver
 *
 *  Copyright 2005-2022 Airbus-EDF-IMACS-ONERA-Phimeca
 *
 *  This library is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this library.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef OPENTURNS_OTSOLVER_HXX
#define OPENTURNS_OTSOLVER_HXX

#include "openturns/Bisection.hxx"
#include "openturns/Brent.hxx"
#include "openturns/Secant.hxx"
#include "openturns/Solver.hxx"
#include "openturns/SolverImplementation.hxx"
#include "openturns/ODESolver.hxx"
#include "openturns/ODESolverImplementation.hxx"
#include "openturns/RungeKutta.hxx"
#include "openturns/Fehlberg.hxx"

#endif /* OPENTURNS_OTSOLVER_HXX */
