%feature("docstring") OT::IndependentCopulaFactory
"Independent Copula factory.

See also
--------
DistributionFactory, IndependentCopula"

// ---------------------------------------------------------------------

%feature("docstring") OT::IndependentCopulaFactory::buildAsIndependentCopula
"Build the independent copula.

**Available usages**:

    buildAsIndependentCopula()

    buildAsIndependentCopula(*sample*)

    buildAsIndependentCopula(*param*)

Parameters
----------
sample : 2-d sequence of float, of dimension *d*
    The sample of size :math:`n>0` from which the copula is estimated.
param : sequence of float
    A vector of parameters of the distribution. Size *must* be 0.

Returns
-------
copula : :class:`~openturns.IndependentCopula`
    The estimated copula as an independent copula.
"
