%feature("docstring") OT::LinearBasisFactory
"Linear basis factory.

The linear basis is composed of the linear terms of the canonical basis:

.. math::

    \\{ \\psi_k(x) \\} = \\{ 1, x_1, \\hdots, x_n \\}

Parameters
----------
dimension : integer
    Input dimension of the basis.

See also
--------
BasisFactory, ConstantBasisFactory, QuadraticBasisFactory

Examples
--------
>>> import openturns as ot
>>> basis = LinearBasisFactory(2).build()
>>> f = ot.AggregatedFunction(basis)
>>> x = [2, 3]
>>> print(f(x))
[1,2,3]"
