%feature("docstring") OT::TBB
"Threading parameters.

The number of threads is the value associated to the `TBB-ThreadsNumber` key
in :class:`~openturns.ResourceMap`, which is initialized to the available cpus,
and can be overriden by the `OPENTURNS_NUM_THREADS` environment variable."

// ---------------------------------------------------------------------

%feature("docstring") OT::TBB::Enable
"Enable threading."

// ---------------------------------------------------------------------

%feature("docstring") OT::TBB::Disable
"Disable threading."

// ---------------------------------------------------------------------

%feature("docstring") OT::TBB::SetThreadsNumber
"Accessor to the maximum number of TBB threads.

Parameters
----------
n_threads : int
    Maximum number of TBB threads."

// ---------------------------------------------------------------------

%feature("docstring") OT::TBB::GetThreadsNumber
"Accessor to the maximum number of TBB threads.

Returns
-------
n_threads : int
    Maximum number of TBB threads."
